Bug 671479 - Stellarium segfaults on startup
Summary: Stellarium segfaults on startup
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: stellarium
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cd6d42bda977137818f87cfea41...
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-21 16:01 UTC by James Ettle
Modified: 2012-05-09 00:02 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-05-09 00:02:36 UTC


Attachments (Terms of Use)
File: backtrace (18.50 KB, text/plain)
2011-01-21 16:01 UTC, James Ettle
no flags Details

Description James Ettle 2011-01-21 16:01:26 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: stellarium
comment: On x86-64 with Intel X4500 graphics.
component: stellarium
crash_function: QTJSC::ExecutablePool::systemAlloc
executable: /usr/bin/stellarium
kernel: 2.6.37-1.fc15.x86_64
package: stellarium-0.10.5-1.fc14
rating: 4
reason: Process /usr/bin/stellarium was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1295625506
uid: 500

How to reproduce
-----
1. Started Stellarium.

Comment 1 James Ettle 2011-01-21 16:01:30 UTC
Created attachment 474637 [details]
File: backtrace

Comment 2 James Ettle 2011-01-21 16:04:37 UTC
Output from running it:


$ stellarium
Using default graphics system specified at build time:  raster 
 ------------------------------------------------------- 
[ This is Stellarium 0.10.5 - http://www.stellarium.org ] 
[ Copyright (C) 2000-2010 Fabien Chereau et al          ] 
 ------------------------------------------------------- 
Writing log file to: "/home/james/.stellarium/log.txt" 
File search paths: 
  0 .  "/home/james/.stellarium" 
  1 .  "/usr/share/stellarium" 
Config file is:  "/home/james/.stellarium/config.ini" 
Qt GL paint engine is:  "OpenGL2" 
Cache directory is:  "/home/james/.cache/stellarium/stellarium" 
Sky language is  "en_GB" 
Application language is  "en_GB" 
Loading Solar System data ... 
Loaded 38 / 38 planet orbits 
Loading star data ... 
"Loading "/usr/share/stellarium/stars/default/stars_0_0v0_1.cat": 0_0v0_1; 5013" 
"Loading "/usr/share/stellarium/stars/default/stars_1_0v0_1.cat": 1_0v0_1; 21999" 
"Loading "/usr/share/stellarium/stars/default/stars_2_0v0_1.cat": 2_0v0_1; 151416" 
"Loading "/usr/share/stellarium/stars/default/stars_3_1v0_0.cat": 3_1v0_0; 434064" 
Finished loading star catalogue data, max_geodesic_level:  3 
navigation/preset_sky_time is a double - treating as jday: 2.45151e+06 
Loaded 10051 NGC records 
Loading NGC name data ... 
Loaded 222 / 222 NGC name records successfully 
Loaded 88 / 88 constellation records successfully for culture "western" 
Loaded 85 / 85 constellation art records successfully for culture "western" 
Loaded 89 / 89 constellation names 
Loading constellation boundary data ...  
Loaded 782 constellation boundary segments 
Loading star names from "/usr/share/stellarium/skycultures/western/star_names.fab" 
Loaded 230 / 230 common star names 
Loading star names from "/usr/share/stellarium/stars/default/name.fab" 
Loaded 3215 / 4359 scientific star names 
Segmentation fault (core dumped)

Comment 3 Jochen Schmitt 2011-01-21 18:12:35 UTC
I wohld suggest, that you should update your system with the follwong command to get the most recents updates:

# yum update

After you have updated you system, you should retry your test case and inform me about the results.

Comment 4 James Ettle 2011-01-21 19:30:50 UTC
(In reply to comment #3)
> I wohld suggest, that you should update your system with the follwong command
> to get the most recents updates:

This machine is up-to-date.

Comment 5 Fedora Update System 2011-01-22 12:46:10 UTC
stellarium-0.10.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/stellarium-0.10.6-1.fc14

Comment 6 Fedora Update System 2011-01-22 20:30:52 UTC
stellarium-0.10.6-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update stellarium'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/stellarium-0.10.6-1.fc14

Comment 7 James Ettle 2011-01-24 15:06:57 UTC
stellarium-0.10.6-1.fc14.x86_64 still segfaults for me:

stellarium[2867]: segfault at bbadbeef ip 0000003ce4ca70dd sp 00007fff10a83500 error 6 in libQtScript.so.4.7.1[3ce4c00000+284000]

Using:

qt-4.7.1-7.fc14.x86_64
mesa-dri-drivers-7.9-5.fc14.x86_64
phonon-4.4.3-2.fc14.x86_64
qt-webkit-4.7.1-7.fc14.x86_64
qt-x11-4.7.1-7.fc14.x86_64
xorg-x11-drv-intel-2.12.0-6.fc14.1.x86_64

Yet for some strange reason, it *doesn't* crash on my notebook with Intel X3100 graphics...

Comment 8 Fedora Update System 2011-02-15 21:24:19 UTC
stellarium-0.10.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 James Ettle 2011-03-03 13:17:58 UTC
Still not fixed in stellarium-0.10.6-1.fc14.x86_64.

Comment 10 James Ettle 2012-05-09 00:02:36 UTC
No longer have access to the affected hardware, closing CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.